Edit Spoken Terms collection details
curl --request PATCH \
--url https://api.deepl.com/v3/spoken-terms/{spoken_terms_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{}'{
"spoken_terms_id": "def3a26b-3e84-45b3-84ae-0c0aaf3525f7",
"name": "Technical Terms",
"term_lists": [
{
"lang": "en",
"entry_count": 3
}
],
"creation_time": "2025-08-03T14:16:18.329Z"
}{
"message": "Bad request"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "Forbidden. Authorization failed or feature not available for your plan."
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "Unsupported Content-Type"
}{
"message": "<string>",
"code": "invalid_content_type"
}Spoken Terms
Edit Spoken Terms collection details
Update the collection name or merge new terms into an existing term list
PATCH
/
v3
/
spoken-terms
/
{spoken_terms_id}
Edit Spoken Terms collection details
curl --request PATCH \
--url https://api.deepl.com/v3/spoken-terms/{spoken_terms_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{}'{
"spoken_terms_id": "def3a26b-3e84-45b3-84ae-0c0aaf3525f7",
"name": "Technical Terms",
"term_lists": [
{
"lang": "en",
"entry_count": 3
}
],
"creation_time": "2025-08-03T14:16:18.329Z"
}{
"message": "Bad request"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "Forbidden. Authorization failed or feature not available for your plan."
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "Unsupported Content-Type"
}{
"message": "<string>",
"code": "invalid_content_type"
}Authorizations
Authentication with Authorization header and DeepL-Auth-Key authentication scheme. Example: DeepL-Auth-Key <api-key>
Path Parameters
A unique ID assigned to the Spoken Terms collection.
Body
application/jsonapplication/x-www-form-urlencoded
Response
Successfully updated Spoken Terms collection.
A unique ID assigned to the Spoken Terms collection.
Example:
"def3a26b-3e84-45b3-84ae-0c0aaf3525f7"
Name of the Spoken Terms collection.
Example:
"Technical Terms"
List of term lists contained in this collection.
Show child attributes
Show child attributes
The creation time of the Spoken Terms collection in ISO 8601-1:2019 format (e.g.: 2025-08-03T14:16:18.329Z).
Example:
"2025-08-03T14:16:18.329Z"